<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2007-2010 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: pom.xml 20565 2010-11-08 11:38:20Z benoitf $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.ow2</groupId>
    <artifactId>ow2</artifactId>
    <version>1.1</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.ow2.jonas</groupId>
  <artifactId>jonas</artifactId>
  <version>5.2.0-M3</version>
  <description>JOnAS : Java Open Application Server</description>
  <name>JOnAS</name>
  <url>http://jonas.ow2.org</url>

  <licenses>
    <license>
      <name>GNU LESSER GENERAL PUBLIC LICENSE Version 2.1</name>
      <url>http://www.gnu.org/copyleft/lesser.html</url>
    </license>
  </licenses>

  <packaging>pom</packaging>
  <modules>
    <module>modules</module>
  </modules>

  <properties>
    <!-- Project encoding -->
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>

    <!-- OW2 Spec versions -->
    <ow2.spec.version>1.0.4</ow2.spec.version>

    <!-- JOnAS OW Components -->
    <jonas-doc.version>5.2.0-M3</jonas-doc.version>
    <jonasAdmin-swf.version>1.0.1</jonasAdmin-swf.version>
    <jonasAdmin-Kerneos.version>1.0.0-RC4</jonasAdmin-Kerneos.version>
    <easybeans.version>1.2.0-M3</easybeans.version>
    <monolog.version>2.1.12</monolog.version>
    <carol.version>3.0.8</carol.version>
    <carol-interceptors.version>1.0.1</carol-interceptors.version>
    <cmi.version>2.2.4</cmi.version>
    <cmi-osgi.version>2.2.4</cmi-osgi.version>
    <irmi.version>1.1.2</irmi.version>
    <jorm.version>2.9.3-patch</jorm.version>
    <rdb-adapter.version>3.2.2</rdb-adapter.version>
    <medor.version>1.7.1</medor.version>
    <medor-exp.version>1.6.3</medor-exp.version>
    <perseus-cache.version>1.5.4</perseus-cache.version>
    <perseus-persistence.version>1.6.1</perseus-persistence.version>
    <perseus-concurrency.version>1.6</perseus-concurrency.version>
    <joram.version>5.4.0.54</joram.version>
    <joram.jcup.version>5.3.1</joram.jcup.version>
    <jotm.version>2.2.1</jotm.version>

    <!-- JOnAS Components -->
    <jacorb.version>2.2.3-jonas-patch-20071018</jacorb.version>
    <p6spy.version>1.3</p6spy.version>

    <!-- OW2 Bundles -->
    <ow2-bundles.version>1.0.23</ow2-bundles.version>

    <!-- OW2 Util plugins -->
    <ow2-util-plugin.version>1.0.25</ow2-util-plugin.version>
    <ow2-util-ant-tasks.version>1.0.25</ow2-util-ant-tasks.version>

    <!-- Web Containers -->
    <jetty.version>6.1.25</jetty.version>
    <jetty-jasper-glassfish.version>9.1.1.B60.25.p1</jetty-jasper-glassfish.version>
    <tomcat.version>6.0.29</tomcat.version>
    <tomcat7.version>7.0.4</tomcat7.version>

    <!-- OSGi -->
    <osgi.core.version>4.2.0</osgi.core.version>
    <osgi.compendium.version>4.2.0</osgi.compendium.version>

    <felix.framework.version>3.0.4</felix.framework.version>
    <felix.shell.version>1.4.2</felix.shell.version>
    <felix.shell.tui.version>1.4.1</felix.shell.tui.version>
    <felix.gui.version>0.9.0-incubator-2007.12.14</felix.gui.version>
    <felix.bundlerepository.version>1.6.4</felix.bundlerepository.version>
    <felix.configadmin.version>1.2.8</felix.configadmin.version>
    <felix.dependencymanager.version>2.0.1</felix.dependencymanager.version>
    <felix.osgi.obr.version>1.0.2</felix.osgi.obr.version>

    <ipojo.version>1.6.6</ipojo.version>
    <ipojo-arch.version>1.6.0</ipojo-arch.version>
    <ipojo-maven-plugin.version>1.6.0</ipojo-maven-plugin.version>

    <!-- Spring -->
    <spring.version>2.5.6</spring.version>

    <!--
      CXF, note that CXF 2.2.x and onwards don't have the ANT tasks anymore
      -->
    <cxf.version>2.2.11</cxf.version>
    <cxf.anttasks.version>2.1.9</cxf.anttasks.version>

    <axis2.version>1.5.1</axis2.version>

    <!-- JSPC -->
    <jspc.version>2.0-alpha-3</jspc.version>

    <!-- JSF -->
    <jsf.version>1.2_08</jsf.version>

    <!-- Maven (for plugins, etc) -->
    <maven.version>2.0.9</maven.version>

    <!-- JAXR -->
    <scout.version>1.1.1</scout.version>
    <juddi.version>2.0rc7</juddi.version>

    <!-- Jakarta commons -->
    <commons-digester.version>2.0</commons-digester.version>

    <!-- Plugins used for tests -->
    <cargo.version>1.0.3</cargo.version>
    <build-helper.version>1.4</build-helper.version>
    <testng.version>5.14</testng.version>

  </properties>

  <!-- Prefered dependencies version -->
  <dependencyManagement>
    <dependencies>
      <!-- ========= Specifications API ========= -->
      <!-- From OW2 -->
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-ejb-3.0-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-jpa-1.0-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-jsr77-1.1-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-jta-1.1-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-deployment-1.2-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-connector-1.5-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <!-- Bean Validation API -->
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-validation-1.0-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-servlet-3.0-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-jsp-2.2-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.spec.ee</groupId>
        <artifactId>ow2-el-2.2-spec</artifactId>
        <version>${ow2.spec.version}</version>
      </dependency>


      <!-- From Apache Axis -->
      <dependency>
        <groupId>org.apache.axis</groupId>
        <artifactId>axis-jaxrpc</artifactId>
        <version>1.4</version>
      </dependency>
      <dependency>
        <!-- SAAJ 1.2 API -->
        <groupId>org.apache.axis</groupId>
        <artifactId>axis-saaj</artifactId>
        <version>1.4</version>
      </dependency>

      <!-- From Apache Tomcat -->
      <dependency>
        <groupId>org.apache.tomcat</groupId>
        <artifactId>servlet-api</artifactId>
        <version>${tomcat.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.tomcat</groupId>
        <artifactId>jsp-api</artifactId>
        <version>${tomcat.version}</version>
      </dependency>

      <!-- Others API -->
      <dependency>
        <groupId>javax.mail</groupId>
        <artifactId>mail</artifactId>
        <version>1.4</version>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jaxr_1.0_spec</artifactId>
        <version>1.1</version>
      </dependency>
      <dependency>
        <groupId>javax.security</groupId>
        <artifactId>jacc</artifactId>
        <version>1.1</version>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jms_1.1_spec</artifactId>
        <version>1.1.1</version>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-corba_2.3_spec</artifactId>
        <version>1.1</version>
      </dependency>
      <dependency>
        <groupId>javax.faces</groupId>
        <artifactId>jsf-api</artifactId>
        <version>${jsf.version}</version>
      </dependency>
      <!-- The JAX-WS 2.1 packages from javax.xml have some JAX-RS
           and WS-Addressing classes missing -->

      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jaxws_2.1_spec</artifactId>
        <version>1.0</version>
      </dependency>
      <dependency>
        <groupId>javax.xml.bind</groupId>
        <artifactId>jaxb-api</artifactId>
        <version>2.1</version>
        <exclusions>
          <exclusion>
            <groupId>javax.activation</groupId>
            <artifactId>activation</artifactId>
          </exclusion>
          <exclusion>
            <groupId>javax.xml.stream</groupId>
            <artifactId>stax-api</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-saaj_1.3_spec</artifactId>
        <version>1.0.0</version>
        <exclusions>
          <exclusion>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-javamail_1.4_spec</artifactId>
          </exclusion>
          <exclusion>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-activation_1.1_spec</artifactId>
          </exclusion>
        </exclusions>
      </dependency>

      <!-- ========== JOnAS Components ========= -->
      <!-- Carol -->
      <dependency>
        <groupId>org.ow2.carol</groupId>
        <artifactId>carol</artifactId>
        <version>${carol.version}</version>
        <exclusions>
          <!-- exclude commons logging -->
          <exclusion>
            <groupId>commons-logging</groupId>
            <artifactId>commons-logging</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>org.ow2.carol</groupId>
        <artifactId>carol-interceptors</artifactId>
        <version>${carol-interceptors.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.carol</groupId>
        <artifactId>carol-iiop-delegate</artifactId>
        <version>${carol.version}</version>
      </dependency>

      <!-- CMI -->
      <dependency>
        <groupId>org.ow2.cmi.osgi</groupId>
        <artifactId>cmi-all</artifactId>
        <version>${cmi-osgi.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.cmi.osgi</groupId>
        <artifactId>cmi-loader</artifactId>
        <version>${cmi-osgi.version}</version>
      </dependency>

      <!-- irmi -->
      <dependency>
        <groupId>org.ow2.carol.irmi</groupId>
        <artifactId>irmi</artifactId>
        <version>${irmi.version}</version>
      </dependency>

      <!-- JOTM -->
      <dependency>
        <groupId>org.ow2.jotm</groupId>
        <artifactId>jotm-core</artifactId>
        <version>${jotm.version}</version>
        <scope>provided</scope>
      </dependency>
      <dependency>
        <groupId>org.ow2.jotm</groupId>
        <artifactId>jotm-interceptor-jrmp</artifactId>
        <version>${jotm.version}</version>
        <scope>provided</scope>
      </dependency>

      <!-- Jakarta Commons -->
      <dependency>
        <groupId>commons-digester</groupId>
        <artifactId>commons-digester</artifactId>
        <version>${commons-digester.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-logging</groupId>
        <artifactId>commons-logging-api</artifactId>
        <version>1.1</version>
      </dependency>
      <dependency>
        <groupId>commons-discovery</groupId>
        <artifactId>commons-discovery</artifactId>
        <version>0.4</version>
      </dependency>

      <dependency>
        <groupId>commons-logging</groupId>
        <artifactId>commons-logging</artifactId>
        <version>1.1.1</version>
        <exclusions>
          <exclusion>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
          </exclusion>
          <exclusion>
            <groupId>logkit</groupId>
            <artifactId>logkit</artifactId>
          </exclusion>
          <exclusion>
            <groupId>avalon-framework</groupId>
            <artifactId>avalon-framework</artifactId>
          </exclusion>
          <exclusion>
            <groupId>javax.servlet</groupId>
            <artifactId>servlet-api</artifactId>
          </exclusion>
        </exclusions>
      </dependency>

      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-bundles-externals-slf4j-jcl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>

      <dependency>
        <groupId>commons-modeler</groupId>
        <artifactId>commons-modeler</artifactId>
        <version>2.0.1</version>
        <exclusions>
          <exclusion>
            <groupId>commons-digester</groupId>
            <artifactId>commons-digester</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>commons-beanutils</groupId>
        <artifactId>commons-beanutils</artifactId>
        <version>1.8.0</version>
      </dependency>

      <!-- Apache Axis (JAS-RPC 1.1 Implementation) -->
      <dependency>
        <groupId>org.apache.axis</groupId>
        <artifactId>axis</artifactId>
        <version>1.4</version>
      </dependency>

      <!-- Xerces -->
      <dependency>
        <groupId>xerces</groupId>
        <artifactId>xercesImpl</artifactId>
        <version>2.9.1</version>
      </dependency>
      <dependency>
        <groupId>xml-apis</groupId>
        <artifactId>xml-apis</artifactId>
        <version>1.3.04</version>
      </dependency>
      <dependency>
        <groupId>xalan</groupId>
        <artifactId>xalan</artifactId>
        <version>2.7.1</version>
      </dependency>
      <dependency>
        <groupId>xalan</groupId>
        <artifactId>serializer</artifactId>
        <version>2.7.1</version>
      </dependency>

      <!-- JSF -->
      <dependency>
        <groupId>javax.faces</groupId>
        <artifactId>jsf-impl</artifactId>
        <version>${jsf.version}</version>
      </dependency>

      <!-- JacORB -->
      <dependency>
        <groupId>org.jacorb</groupId>
        <artifactId>jacorb</artifactId>
        <version>${jacorb.version}</version>
      </dependency>
      <dependency>
        <groupId>org.jacorb</groupId>
        <artifactId>jacorb-idl</artifactId>
        <version>${jacorb.version}</version>
      </dependency>
      <dependency>
        <groupId>avalon-framework</groupId>
        <artifactId>avalon-framework</artifactId>
        <version>4.1.5</version>
      </dependency>
      <dependency>
        <groupId>logkit</groupId>
        <artifactId>logkit</artifactId>
        <version>1.2</version>
      </dependency>

      <!-- P6Spy -->
      <dependency>
        <groupId>p6spy</groupId>
        <artifactId>p6spy</artifactId>
        <version>${p6spy.version}</version>
        <exclusions>
          <exclusion>
            <groupId>regexp</groupId>
            <artifactId>regexp</artifactId>
          </exclusion>
          <exclusion>
            <groupId>gnu-regexp</groupId>
            <artifactId>gnu-regexp</artifactId>
          </exclusion>
          <exclusion>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
          </exclusion>
          <exclusion>
            <groupId>ant</groupId>
            <artifactId>ant</artifactId>
          </exclusion>
          <exclusion>
            <groupId>oracle</groupId>
            <artifactId>classes12</artifactId>
          </exclusion>
          <exclusion>
            <groupId>jboss</groupId>
            <artifactId>jboss</artifactId>
          </exclusion>
        </exclusions>
      </dependency>

      <!-- EasyBeans -->
      <dependency>
        <groupId>org.ow2.easybeans</groupId>
        <artifactId>easybeans-api</artifactId>
        <version>${easybeans.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.easybeans</groupId>
        <artifactId>easybeans-component-smartclient-server</artifactId>
        <version>${easybeans.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.easybeans</groupId>
        <artifactId>easybeans-deployment</artifactId>
        <version>${easybeans.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.easybeans</groupId>
        <artifactId>easybeans-injection-api</artifactId>
        <version>${easybeans.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.easybeans</groupId>
        <artifactId>easybeans-injection-impl</artifactId>
        <version>${easybeans.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.easybeans</groupId>
        <artifactId>easybeans-util</artifactId>
        <version>${easybeans.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.easybeans.osgi</groupId>
        <artifactId>easybeans-api</artifactId>
        <version>${easybeans.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.easybeans.osgi</groupId>
        <artifactId>easybeans-modules-core</artifactId>
        <version>${easybeans.version}</version>
      </dependency>

      <dependency>
        <groupId>org.ow2.easybeans.osgi</groupId>
        <artifactId>easybeans-component-quartz</artifactId>
        <version>${easybeans.version}</version>
      </dependency>

      <!-- Jetty -->
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jetty</artifactId>
        <version>${jetty.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jsp-2.1-glassfish</artifactId>
        <version>${jetty-jasper-glassfish.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jetty-ajp</artifactId>
        <version>${jetty.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jetty-annotations</artifactId>
        <version>${jetty.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jetty-html</artifactId>
        <version>${jetty.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jetty-util</artifactId>
        <version>${jetty.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jetty-plus</artifactId>
        <version>${jetty.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mortbay.jetty</groupId>
        <artifactId>jetty-naming</artifactId>
        <version>${jetty.version}</version>
      </dependency>

      <!-- Tomcat -->
      <dependency>
        <groupId>org.apache.tomcat</groupId>
        <artifactId>catalina</artifactId>
        <version>${tomcat.version}</version>
      </dependency>

      <dependency>
        <groupId>org.apache.ws.scout</groupId>
        <artifactId>scout</artifactId>
        <version>${scout.version}</version>
        <exclusions>
          <exclusion>
            <groupId>org.apache.ws.scout</groupId>
            <artifactId>jaxr-api</artifactId>
          </exclusion>
          <exclusion>
            <groupId>commons-logging</groupId>
            <artifactId>commons-logging</artifactId>
          </exclusion>
          <exclusion>
            <groupId>geronimo-spec</groupId>
            <artifactId>geronimo-spec-activation</artifactId>
          </exclusion>
          <exclusion>
            <groupId>jdom</groupId>
            <artifactId>jdom</artifactId>
          </exclusion>
          <exclusion>
            <groupId>commons-discovery</groupId>
            <artifactId>commons-discovery</artifactId>
          </exclusion>
          <exclusion>
            <groupId>axis</groupId>
            <artifactId>axis</artifactId>
          </exclusion>
          <exclusion>
            <groupId>org.apache.axis</groupId>
            <artifactId>axis-saaj</artifactId>
          </exclusion>
          <exclusion>
            <groupId>org.apache.axis</groupId>
            <artifactId>axis-jaxrpc</artifactId>
          </exclusion>
          <exclusion>
            <groupId>xmlbeans</groupId>
            <artifactId>xbean</artifactId>
          </exclusion>
          <exclusion>
            <groupId>stax</groupId>
            <artifactId>stax-api</artifactId>
          </exclusion>
          <exclusion>
            <groupId>xerces</groupId>
            <artifactId>xercesImpl</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>org.apache.juddi</groupId>
        <artifactId>juddi</artifactId>
        <version>${juddi.version}</version>
        <exclusions>
          <exclusion>
            <groupId>commons-logging</groupId>
            <artifactId>commons-logging</artifactId>
          </exclusion>
          <exclusion>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
          </exclusion>
          <exclusion>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
          </exclusion>
          <exclusion>
            <groupId>axis</groupId>
            <artifactId>axis</artifactId>
          </exclusion>
        </exclusions>
      </dependency>

      <!-- OW2 Misc. -->
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-archive-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-archive-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-scan-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-scan-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-component-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-component-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-execution</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-file</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-i18n</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-log</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-marshalling</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-url</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-xml</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-substitution</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-stream</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-deploy-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-deploy-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-common-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-common-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-war-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-war-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-car-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-car-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-ejbjar-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-ejbjar-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-ws-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-metadata-ws-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-event-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-event</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-event-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-jmx-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-jmx-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-pool-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-pool-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-xmlconfig</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-annotation-processor</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-util-ee-builder-webservice</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-audit-report</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-bundles-externals-jgroups</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-bundles-externals-commons-collections</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-bundles-externals-commons-logging</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>

      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>ow2-bundles-externals-jaxb2</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-schemas</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-repository-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-repository-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-reader</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-deploy-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-deploy-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-deployer</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-fetcher-api</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-fetcher-impl</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-fetcher-impl-url</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-fetcher-impl-maven2</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-fetcher-impl-obr</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <dependency>
        <groupId>org.ow2.bundles</groupId>
        <artifactId>util-plan-monitor</artifactId>
        <version>${ow2-bundles.version}</version>
      </dependency>
      <!-- ASM of JOnAS -->
      <dependency>
        <groupId>org.ow2.jonas.asm</groupId>
        <artifactId>asm</artifactId>
        <version>3.1</version>
      </dependency>

      <!-- Tools -->
      <dependency>
        <groupId>org.ow2.fastrmic</groupId>
        <artifactId>fastrmic</artifactId>
        <version>1.0.2</version>
      </dependency>

      <!-- OSGi -->
      <dependency>
        <groupId>org.osgi</groupId>
        <artifactId>org.osgi.core</artifactId>
        <version>${osgi.core.version}</version>
      </dependency>

      <dependency>
        <groupId>org.osgi</groupId>
        <artifactId>org.osgi.compendium</artifactId>
        <version>${osgi.compendium.version}</version>
      </dependency>

      <!-- This should be removed when all modules used by JOnAS will do the switch to org.osgi groupId -->
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.osgi.compendium</artifactId>
        <version>1.2.0</version>
        <exclusions>
          <exclusion>
            <!-- Exclude servlet because of conflicting version (2.1 vs 2.5) -->
            <groupId>org.apache.felix</groupId>
            <artifactId>javax.servlet</artifactId>
          </exclusion>
        </exclusions>
      </dependency>

      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.framework</artifactId>
        <version>${felix.framework.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.main</artifactId>
        <version>${felix.framework.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.shell</artifactId>
        <version>${felix.shell.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.shell.tui</artifactId>
        <version>${felix.shell.tui.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.bundlerepository</artifactId>
        <version>${felix.bundlerepository.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.shell.gui</artifactId>
        <version>${felix.gui.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.shell.gui.plugin</artifactId>
        <version>${felix.gui.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.osgi.service.obr</artifactId>
        <version>${felix.osgi.obr.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.ipojo</artifactId>
        <version>${ipojo.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.ipojo.arch</artifactId>
        <version>${ipojo-arch.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.configadmin</artifactId>
        <version>${felix.configadmin.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.felix</groupId>
        <artifactId>org.apache.felix.dependencymanager</artifactId>
        <version>${felix.dependencymanager.version}</version>
      </dependency>

      <!-- Maven dependencies -->
      <dependency>
        <groupId>org.apache.maven</groupId>
        <artifactId>maven-plugin-api</artifactId>
        <version>${maven.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.maven</groupId>
        <artifactId>maven-project</artifactId>
        <version>${maven.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.maven</groupId>
        <artifactId>maven-artifact</artifactId>
        <version>${maven.version}</version>
      </dependency>

      <!-- Test dependencies -->
      <dependency>
        <groupId>org.testng</groupId>
        <artifactId>testng</artifactId>
        <version>${testng.version}</version>
        <scope>test</scope>
      </dependency>

    </dependencies>
  </dependencyManagement>

  <repositories>
    <repository>
      <id>maven2-repository.dev.java.net</id>
      <name>Java.net Repository for Maven2</name>
      <url>http://download.java.net/maven/2</url>
      <releases>
        <enabled>true</enabled>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
    </repository>

    <repository>
      <id>jboss-nexus-4-m1-repo</id>
      <!-- Should be only used for Maven 1 legacy artifacts -->
      <name>JBoss Public Repository</name>
      <url>http://repository.jboss.org/nexus/content/groups/public/</url>
      <releases>
        <enabled>true</enabled>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
    </repository>

    <repository>
      <id>com.springsource.repository.bundles.release</id>
      <name>SpringSource Enterprise Bundle Repository - SpringSource Bundle Releases</name>
      <url>http://repository.springsource.com/maven/bundles/release</url>
      <releases>
        <enabled>true</enabled>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
    </repository>
    <repository>
      <id>com.springsource.repository.bundles.external</id>
      <name>SpringSource Enterprise Bundle Repository - External Bundle Releases</name>
      <url>http://repository.springsource.com/maven/bundles/external</url>
      <releases>
        <enabled>true</enabled>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
    </repository>
  </repositories>

  <pluginRepositories>
    <pluginRepository>
      <id>elca-services</id>
      <url>http://el4.elca-services.ch/el4j/maven2repository</url>
      <releases>
        <enabled>true</enabled>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
    </pluginRepository>
  </pluginRepositories>

  <build>
    <defaultGoal>install</defaultGoal>
  
    <extensions>
      <extension>
        <groupId>org.apache.maven.wagon</groupId>
        <artifactId>wagon-ssh</artifactId>
        <version>1.0-beta-6</version>
      </extension>
    </extensions>

  <!-- Prefered dependencies version of plugins -->
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-antrun-plugin</artifactId>
          <version>1.4</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-assembly-plugin</artifactId>
          <version>2.2</version>
          <configuration>
            <!-- Use GNU Tar -->
            <tarLongFileMode>gnu</tarLongFileMode>
          </configuration>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-clean-plugin</artifactId>
          <version>2.4.1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-compiler-plugin</artifactId>
          <version>2.3.2</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-dependency-plugin</artifactId>
          <version>2.1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-deploy-plugin</artifactId>
          <version>2.5</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-enforcer-plugin</artifactId>
          <version>1.0-beta-1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-help-plugin</artifactId>
          <version>2.1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-install-plugin</artifactId>
          <version>2.3.1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-invoker-plugin</artifactId>
          <version>1.5</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-jar-plugin</artifactId>
          <version>2.3.1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-javadoc-plugin</artifactId>
          <version>2.7</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-one-plugin</artifactId>
          <version>1.2</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-plugin-plugin</artifactId>
          <version>2.5</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-release-plugin</artifactId>
          <version>2.1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-remote-resources-plugin</artifactId>
          <version>1.0</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-repository-plugin</artifactId>
          <version>2.1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-resources-plugin</artifactId>
          <version>2.4.3</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-scm-plugin</artifactId>
          <version>1.4</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-site-plugin</artifactId>
          <version>2.0-beta-7</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-source-plugin</artifactId>
          <version>2.0.4</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-surefire-plugin</artifactId>
          <version>2.4.3</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-surefire-report-plugin</artifactId>
          <version>2.4.3</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-verifier-plugin</artifactId>
          <version>1.0-beta-1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-war-plugin</artifactId>
          <version>2.1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-artifact-plugin</artifactId>
          <version>2.2-beta-1</version>
        </plugin>
        <plugin>
          <groupId>org.apache.felix</groupId>
          <artifactId>maven-bundle-plugin</artifactId>
          <version>2.1.0</version>
        </plugin>
        <plugin>
          <groupId>org.codehaus.mojo.jspc</groupId>
          <artifactId>jspc-maven-plugin</artifactId>
          <version>${jspc.version}</version>
        </plugin>
        <plugin>
          <groupId>org.ow2.util.maven</groupId>
          <artifactId>maven-jbuilding-plugin</artifactId>
          <version>${ow2-util-plugin.version}</version>
        </plugin>
        <plugin>
          <groupId>org.ow2.util</groupId>
          <artifactId>util-maven-plugin-antrmic</artifactId>
          <version>${ow2-util-plugin.version}</version>
        </plugin>
        <plugin>
          <groupId>org.ow2.util.maven</groupId>
          <artifactId>maven-osgi-plugin-launcher-core</artifactId>
          <version>${ow2-util-plugin.version}</version>
        </plugin>
        <plugin>
          <groupId>org.codehaus.mojo</groupId>
          <artifactId>buildnumber-maven-plugin</artifactId>
          <version>1.0-beta-2</version>
        </plugin>
      </plugins>
    </pluginManagement>

    <plugins>
      <!-- Compile from 1.5 sources to 1.5 bytecode -->
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <inherited>true</inherited>
        <configuration>
          <source>1.5</source>
          <target>1.5</target>
        </configuration>
      </plugin>

       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-resources-plugin</artifactId>
         <configuration>
           <encoding>UTF-8</encoding>
         </configuration>
      </plugin>

      <!-- Javadoc aggregation -->
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-javadoc-plugin</artifactId>
        <inherited>true</inherited>
        <configuration>
          <aggregate>true</aggregate>
          <minmemory>128m</minmemory>
          <maxmemory>256m</maxmemory>
          <links>
            <link>http://java.sun.com/j2se/1.5.0/docs/api/</link>
            <link>http://java.sun.com/javaee/5/docs/api/</link>
          </links>
        </configuration>
      </plugin>

      <!-- Add revision number in the jar files -->
      <plugin>
        <artifactId>maven-jar-plugin</artifactId>
        <configuration>
          <archive>
            <manifest>
               <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
               <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
            </manifest>
            <manifestEntries>
               <Build-Number>${buildNumber}</Build-Number>
            </manifestEntries>
          </archive>
        </configuration>
      </plugin>

      <plugin>
        <!-- Make sure that we're using a JDK >= 6.0 -->
        <artifactId>maven-enforcer-plugin</artifactId>
        <executions>
          <execution>
            <id>enforce-java</id>
            <goals>
              <goal>enforce</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <rules>
            <requireMavenVersion>
              <version>2.1</version>
            </requireMavenVersion>
            <requireJavaVersion>
              <version>1.6</version>
            </requireJavaVersion>
          </rules>
        </configuration>
      </plugin>

      <plugin>
        <groupId>ch.elca.el4j.maven.plugins</groupId>
        <artifactId>maven-depgraph-plugin</artifactId>
        <configuration>
          <outDir>target/site/images</outDir>
          <outFile>jonas-dependency.png</outFile>
        </configuration>
        <version>1.7</version>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-release-plugin</artifactId>
        <configuration>
          <releaseProfiles>jspcompile</releaseProfiles>
          <tagBase>svn+ssh://${maven.username}@svn.forge.objectweb.org/svnroot/jonas/jonas/tags</tagBase>
          <autoVersionSubmodules>true</autoVersionSubmodules>
          <addSchema>false</addSchema>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.ow2.util.maven</groupId>
        <artifactId>maven-jbuilding-plugin</artifactId>
        <inherited>true</inherited>
        <configuration>
          <!-- Here are placed all the bundles that you want to be placed
            in the repositories/bundles directory of the assembly.
            This list is also used to generate the autodeploy-bundles
            property file (in the launcher). -->
          <clientJarMainClass>org.ow2.jonas.client.ClientContainer</clientJarMainClass>
          <!-- The following settings are used during the versions.properties generation -->
          <!-- Groups of artifacts to be considered as 1 property -->
          <joinedGroupIds>
            <group>org.ow2.util</group>
            <group>org.ow2.bundles</group>
            <group>org.ow2.jonas</group>
            <group>org.ow2.jonas.osgi</group>
            <group>org.ow2.easybeans</group>
            <group>org.ow2.easybeans.osgi</group>
            <group>org.apache.tomcat</group>
            <group>asm</group>
            <group>ant</group>
            <group>jgroups</group>
            <group>org.apache.axis</group>
            <group>org.apache.axis2</group>
            <group>org.apache.cxf</group>
            <group>org.apache.ws.commons.axiom</group>
            <group>org.jacorb</group>
            <group>org.mortbay.jetty</group>
            <group>org.objectweb.joram</group>
            <group>org.objectweb.medor</group>
            <group>org.objectweb.monolog</group>
            <group>org.ow2.cmi</group>
            <group>org.ow2.cmi.osgi</group>
            <group>org.ow2.jonas.admin</group>
            <group>org.ow2.jotm</group>
            <group>org.springframework</group>
          </joinedGroupIds>
          <!-- Include dependencies of 4 deph, JGroups for example.-->
          <depth>4</depth>
          <!-- Patterns to be applied on groupId defining the groups to
               be displayed first in the versions.properties-->
          <preferedGroupIds>
            <preference>org.ow2.jonas*</preference>
            <preference>org.ow2*</preference>
          </preferedGroupIds>
          <artifactItems>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.apache.felix.shell</artifactId>
              <version>${felix.shell.version}</version>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.apache.felix.shell.tui</artifactId>
              <version>${felix.shell.tui.version}</version>
              <side>server</side>
              <start>false</start>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.osgi.service.obr</artifactId>
              <version>${felix.osgi.obr.version}</version>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.apache.felix.shell.gui</artifactId>
              <version>${felix.gui.version}</version>
              <side>server</side>
              <start>false</start>
              <startlevel>2</startlevel>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.apache.felix.shell.gui.plugin</artifactId>
              <version>${felix.gui.version}</version>
              <side>server</side>
              <start>false</start>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.apache.felix.bundlerepository</artifactId>
              <version>${felix.bundlerepository.version}</version>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.apache.felix.ipojo</artifactId>
              <version>${ipojo.version}</version>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.apache.felix.ipojo.arch</artifactId>
              <version>${ipojo.version}</version>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-bundles-externals-commons-collections</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-bundles-externals-commons-logging</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-archive-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-archive-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-execution</artifactId>
              <version>${ow2-bundles.version}</version>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-deploy-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-deploy-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-scan-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-scan-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-metadata-common-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-metadata-common-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-metadata-car-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-metadata-car-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-metadata-ws-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-metadata-ws-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-metadata-war-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-ee-metadata-war-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-event-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-file</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-i18n</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-jmx-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-log</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-pool-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-url</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-audit-report</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-xml</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-schemas</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-fetcher-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-fetcher-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-fetcher-impl-url</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-fetcher-impl-maven2</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-fetcher-impl-obr</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-deploy-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-deploy-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-repository-api</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-repository-impl</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-monitor</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-reader</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>util-plan-deployer</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <!-- Start block -->
            <!-- Theses 2 bundles MUST be installed in this order:
              * javaee-api
              * ow2-bundles-externals-jaxb2
              This is required because the JAXB2 bundle exports some
              API packages that are also exported by javaee-api. -->
            <artifactItem>
              <groupId>org.ow2.jonas.osgi</groupId>
              <artifactId>javaee-api</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.spec.ee</groupId>
              <artifactId>ow2-validation-1.0-spec</artifactId>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-bundles-externals-jaxb2</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <!-- End block -->
            <artifactItem>
              <groupId>org.ow2.bundles</groupId>
              <artifactId>ow2-util-xmlconfig</artifactId>
              <version>${ow2-bundles.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-extension-loader</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.easybeans.osgi</groupId>
              <artifactId>easybeans-api</artifactId>
              <version>${easybeans.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.easybeans</groupId>
              <artifactId>easybeans-jpa-default-eclipselink</artifactId>
              <version>${easybeans.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-services-api</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas.osgi</groupId>
              <artifactId>monolog</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-version</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-commons</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.felix</groupId>
              <artifactId>org.apache.felix.configadmin</artifactId>
              <version>${felix.configadmin.version}</version>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>bootstrap</artifactId>
              <classifier>ipojo</classifier>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.carol</groupId>
              <artifactId>carol-interceptors</artifactId>
              <version>${carol-interceptors.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-naming</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-carol-registry</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-management-javaee</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-jmx</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-generators-raconfig</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-services-datasource</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-deployment</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-domain</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-management-reconfig</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-sec-interceptors-jrmp</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-security</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-security-auth</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-security-jacc</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-security-jacc-handlers</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-timer</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-ejb-container-svc</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-ejb-container</artifactId>
              <version>${project.version}</version>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-service-manager</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-mbeans</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jndi-interceptors</artifactId>
              <version>${project.version}</version>
              <classifier>ipojo</classifier>
              <side>server</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.jacorb</groupId>
              <artifactId>jacorb</artifactId>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.jacorb</groupId>
              <artifactId>jacorb-idl</artifactId>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>avalon-framework</groupId>
              <artifactId>avalon-framework</artifactId>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>logkit</groupId>
              <artifactId>logkit</artifactId>
              <side>client</side>
            </artifactItem>
          </artifactItems>
        </configuration>
      </plugin>
    </plugins>
  </build>

  <!-- Source code management -->
  <scm>
    <connection>scm:svn:svn://svn.forge.objectweb.org/svnroot/jonas/jonas/tags/JONAS_5_2_0_M3</connection>
    <developerConnection>scm:svn:svn+ssh://benoitf@svn.forge.objectweb.org/svnroot/jonas/jonas/tags/JONAS_5_2_0_M3</developerConnection>
    <url>http://fisheye.ow2.org/browse/JOnAS/jonas/tags/JONAS_5_2_0_M3</url>
  </scm>

  <issueManagement>
    <system>Jira</system>
    <url>http://jira.ow2.org/browse/JONAS</url>
  </issueManagement>

  <ciManagement>
    <system>Bamboo</system>
    <url>http://bamboo.ow2.org/browse/JNS</url>
  </ciManagement>

  <profiles>
    <profile>
      <id>no-assembly</id>
      <activation>
        <property>
          <name>!no.assembly</name>
        </property>
      </activation>
      <modules>
        <module>modules</module>
        <module>assemblies</module>
        <module>modules/itests</module>
      </modules>
    </profile>

    <!--  use buildnumber plugin only if SVN metadata is present -->
    <profile>
       <id>build-number-generation</id>
       <activation>
          <file>
             <exists>.svn</exists>
          </file>
       </activation>
       <build>
          <plugins>
             <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>buildnumber-maven-plugin</artifactId>
                <executions>
                   <execution>
                      <phase>validate</phase>
                      <goals>
                         <goal>create</goal>
                      </goals>
                   </execution>
                   </executions>
                   <configuration>
                     <doCheck>false</doCheck>
                     <doUpdate>false</doUpdate>
                </configuration>
             </plugin>
          </plugins>
       </build>
    </profile>

    <!-- If SVN meta data is not configured, set buildNumber to 0 -->
    <profile>
       <id>build-number-provided</id>
       <activation>
          <file>
             <missing>.svn</missing>
          </file>
       </activation>

       <properties>
          <buildNumber>0</buildNumber>
       </properties>
    </profile>

    <!--
      tools.jar is already included in the runtime on
      Mac OS X and some free JDKs; but not in Sun or IBM's runtimes
      -->
    <profile>
      <id>tools.jar-for-ant</id>
      <activation>
        <file>
          <exists>${java.home}/../lib/tools.jar</exists>
        </file>
      </activation>

      <build>
        <pluginManagement>
          <plugins>
            <plugin>
              <artifactId>maven-antrun-plugin</artifactId>
              <dependencies>
                <dependency>
                  <groupId>com.sun</groupId>
                  <artifactId>tools</artifactId>
                  <version>${java.version}</version>
                  <scope>system</scope>
                  <systemPath>${java.home}/../lib/tools.jar</systemPath>
                </dependency>
              </dependencies>
            </plugin>
          </plugins>
        </pluginManagement>
      </build>
    </profile>
  </profiles>

</project>
